Name:           wimlib
Version:        1.14.3
Release:    1%{?dist}
Summary:        Open source Windows Imaging (WIM) library

License:        GPL-3.0-or-later AND MIT
URL:            https://wimlib.net/
Source0:        %{url}/downloads/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.14.3-tests.patch

BuildRequires:  automake
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libntfs-3g)
BuildRequires:  pkgconfig(libxml-2.0)

%description
wimlib is a C library for creating, modifying, extracting, and mounting files in
the Windows Imaging Format (WIM files). wimlib and its command-line frontend
'wimlib-imagex' provide a free and cross-platform alternative to Microsoft's
WIMGAPI, ImageX, and DISM.


%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%package utils
Summary:        Tools for creating, modifying, extracting, and mounting WIM files
Requires:       %{name} = %{version}-%{release}

%description utils
This package provides tools for creating, modifying, extracting, and mounting
files in the Windows Imaging Format (WIM files).


%prep
%autosetup -p0


%build
%configure \
    --disable-silent-rules \
    --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build


%install
%make_install
find %{buildroot} -name "*.la" -delete


%check
%make_build check


%files
%doc NEWS.md README.md
%license COPYING COPYING.GPLv3
%{_libdir}/*.so.15*


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%files utils
%{_bindir}/*
%{_mandir}/man1/*.1.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.3-1
- initial build
